import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Task } from '../models/task';

@Injectable({
    providedIn: 'root'
})
export class TaskService {
    private url = 'http://localhost:8080/api'
    constructor(private http: HttpClient) {}

    getTaskList(): Observable<Array<Task>> {
        return this.http.get<Task[]>(`${this.url}/tasks`);
    }
}